Skip to main content
`Ctrl`+`K`

# DMDARestoreCoordinateArray

Returns an array containing the coordinates of the `DMDA` obtained with `DMDAGetCoordinateArray()`

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDARestoreCoordinateArray(DM dm, void *xc)

Not Collective; No Fortran Support

## Input Parameters

- dm - the `DMDA`

- xc - the coordinates

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDASetCoordinateName()`, `DMDASetFieldName()`, `DMDAGetFieldName()`, `DMDAGetCoordinateArray()`

## Level

intermediate

## Location

src/dm/impls/da/dacorn.c

## Examples

src/ts/tutorials/extchemfield.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages